Bug 1524456 - rkhunter forgets that an ipc_shared_mem warning was issued
Summary: rkhunter forgets that an ipc_shared_mem warning was issued
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rkhunter
Version: 27
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 14:50 UTC by GMS
Modified: 2018-03-20 17:06 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-27 17:25:23 UTC


Attachments (Terms of Use)
probleam and solution demo (1.92 KB, application/x-shellscript)
2017-12-11 14:50 UTC, GMS
no flags Details
solution based on rkhunter-1.4.4-5.fc27.noarch (2.06 KB, text/plain)
2017-12-11 14:52 UTC, GMS
no flags Details

Description GMS 2017-12-11 14:50:49 UTC
Created attachment 1366032 [details]
probleam and solution demo

Description of problem:
rkhunter finds ipc_shared_mem error and registers a warning.
This warning is NOT repeated in the summary and NO warning
mail is sent out.

Version-Release number of selected component (if applicable):
rkhunter-1.4.4-5.fc27.noarch
bash-4.4.12-12.fc27.x86_64

How reproducible:


Steps to Reproduce:
1. enable mailing for rkhunter
2. run e.g. firefox (or anything triggering shared-mem alarm)
3. run "rkhunter.corr --enable ipc_shared_mem"

the message
  Checking for suspicious shared memory segments  [ Warning ]
comes as expected

Actual results:
a) in summary:
  No warnings were found while checking the system.
b) no mail triggered

Expected results:
a) in summary:
  One or more warnings have been found while checking the system.
b) warning mail sent out

Additional info:
It seems that in the current shell the construction
  ipcs | while read
doesn't export the changed variables.

File rkhunterHOW demonstrates the problem and suggests a solution,
file rkhunter.corr.diff presents a possible solution. See also
comments in rkhunterHOW.

Comment 1 GMS 2017-12-11 14:52 UTC
Created attachment 1366033 [details]
solution based on rkhunter-1.4.4-5.fc27.noarch

Comment 2 Kevin Fenzi 2017-12-11 19:11:53 UTC
Would you be willing to post this to the upstream list?

Rkhunter-users@lists.sourceforge.net

Or would you prefer I do so?

Comment 3 GMS 2017-12-11 21:56:37 UTC
(In reply to Kevin Fenzi from comment #2)
> Would you be willing to post this to the upstream list?
> 
> Rkhunter-users@lists.sourceforge.net
> 
> Or would you prefer I do so?

If you could do it, it would be nice; I have no experience
cooperating with the sourceforge folks.

I should also mention, that I am slightly baffled by the shell
behavior - I would not expect it, but it is repeatable also
on Mint MATE (for what's that worth).

Comment 4 Kevin Fenzi 2017-12-12 19:09:31 UTC
sure. Posted. Lets see what they say...

Comment 5 Fedora Update System 2018-02-26 00:05:56 UTC
rkhunter-1.4.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-61b83e1b50

Comment 6 Fedora Update System 2018-02-26 00:06:16 UTC
rkhunter-1.4.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ca69db5fee

Comment 7 Fedora Update System 2018-02-26 00:06:28 UTC
rkhunter-1.4.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1d006205b5

Comment 8 Fedora Update System 2018-02-26 00:06:40 UTC
rkhunter-1.4.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a4f94f474c

Comment 9 Fedora Update System 2018-02-26 17:32:03 UTC
rkhunter-1.4.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1d006205b5

Comment 10 Fedora Update System 2018-02-26 18:06:33 UTC
rkhunter-1.4.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ca69db5fee

Comment 11 Fedora Update System 2018-02-26 18:08:45 UTC
rkhunter-1.4.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a4f94f474c

Comment 12 Fedora Update System 2018-02-26 18:11:18 UTC
rkhunter-1.4.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-61b83e1b50

Comment 13 Fedora Update System 2018-02-27 17:25:23 UTC
rkhunter-1.4.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-03-06 17:30:52 UTC
rkhunter-1.4.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-03-20 17:03:52 UTC
rkhunter-1.4.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-03-20 17:06:17 UTC
rkhunter-1.4.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.